GNU bug report logs - #30043
25.3; C-M-e inserts euro character

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: tomasn@HIDDEN; dated Tue, 9 Jan 2018 15:12:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 13 Oct 2019 20:48:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 13 16:48:46 2019
Received: from localhost ([127.0.0.1]:37148 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJknF-0003wG-Ps
	for submit <at> debbugs.gnu.org; Sun, 13 Oct 2019 16:48:45 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33829)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iJknD-0003w3-Dh
 for 30043 <at> debbugs.gnu.org; Sun, 13 Oct 2019 16:48:43 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37381)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iJkn7-0005Fh-0k; Sun, 13 Oct 2019 16:48:37 -0400
Received: from [176.228.60.248] (port=4474 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iJkn6-0006CF-GK; Sun, 13 Oct 2019 16:48:36 -0400
Date: Sun, 13 Oct 2019 23:48:30 +0300
Message-Id: <83zhi4jrs1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Tomas Nordin <tomasn@HIDDEN>
In-reply-to: <87v9ssa2h8.fsf@HIDDEN> (message from Tomas Nordin on Sun, 13
 Oct 2019 21:07:31 +0200)
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <CADwFkmkpUaCL9RVvMgxX+anX9kuacHBY3=1--UD_R+vebCkWdA@HIDDEN>
 <87k19r1bp1.fsf@HIDDEN>
 <CADwFkm=4oAzpZwZJT0TVoinMC2=nH1NpyjSnuRcoXKovy0324w@HIDDEN>
 <83y2y7drra.fsf@HIDDEN>
 <CADwFkmmcK-i2Zi3+AQ540Hva2=GegSe68D0mGtxDB-0xEGB++w@HIDDEN>
 <87d0fj0xq5.fsf@HIDDEN>
 <874l0darsn.fsf@HIDDEN> <83lftpkk99.fsf@HIDDEN>
 <87v9ssa2h8.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30043
Cc: 30043 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Tomas Nordin <tomasn@HIDDEN>
> Cc: stefan@HIDDEN, 30043 <at> debbugs.gnu.org
> Date: Sun, 13 Oct 2019 21:07:31 +0200
> 
> It seems that only nilling w32-recognize-altgr does not do it. Combining
> w32-use-fallback-wm-chars-method as t and w32-recognize-altgr as nil
> disables the AltGr functionality.

Thanks for testing.  This is all the wisdom I can offer.  The only way
other than what I said to fix this is to configure your Windows system
to use a different keyboard layout, or use the MS Keyboard Layout
Editor to make your own.

Maybe someone else will know more (but I doubt that, given what the
Internet search about this brings up).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 13 Oct 2019 19:07:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 13 15:07:41 2019
Received: from localhost ([127.0.0.1]:37023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJjDR-0001R8-69
	for submit <at> debbugs.gnu.org; Sun, 13 Oct 2019 15:07:41 -0400
Received: from mout01.posteo.de ([185.67.36.65]:58871)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tomasn@HIDDEN>) id 1iJjDP-0001Qw-Tp
 for 30043 <at> debbugs.gnu.org; Sun, 13 Oct 2019 15:07:40 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id D7FD0160060
 for <30043 <at> debbugs.gnu.org>; Sun, 13 Oct 2019 21:07:33 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1570993653; bh=BsD+DjKssV7kj/UMKdbaONKhme4BAnY8t6ga0bPTRUY=;
 h=From:To:Cc:Subject:Date:From;
 b=GhsicSn6m8N6ELe+HWjKWCL/czboIV/KY41AKHY90WGm/a0VuI90eJZc+yPkKlMd9
 1OAqUmIJOx6znbHAXTkHwVrwrJkB4rxBayTqFynaRkbhYlywOeM3ZZQajaNBkDaLTq
 Y/OiEbvwcmwHd3kMCv2Q0lWnHUrmDnl1auJKHHJxLjmmCzHMXmLDTPl5YkipAIsxWX
 1rpHE1RS87MC1+Mt/kGr/DIXoAz7Gomc5i/SLO3afzn/aQRuPWtS5mqhXzKwq/TBI6
 nQhN9olUWDUzheeY4zbbrkHhra1tQAhPY/iJABmQvs5rcnhUJBTNPXYz5JsNKZKz0a
 4NFQu721E4Crw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 46rrmN2z8Sz6tm8;
 Sun, 13 Oct 2019 21:07:32 +0200 (CEST)
From: Tomas Nordin <tomasn@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
In-Reply-To: <83lftpkk99.fsf@HIDDEN>
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <CADwFkmkpUaCL9RVvMgxX+anX9kuacHBY3=1--UD_R+vebCkWdA@HIDDEN>
 <87k19r1bp1.fsf@HIDDEN>
 <CADwFkm=4oAzpZwZJT0TVoinMC2=nH1NpyjSnuRcoXKovy0324w@HIDDEN>
 <83y2y7drra.fsf@HIDDEN>
 <CADwFkmmcK-i2Zi3+AQ540Hva2=GegSe68D0mGtxDB-0xEGB++w@HIDDEN>
 <87d0fj0xq5.fsf@HIDDEN>
 <874l0darsn.fsf@HIDDEN> <83lftpkk99.fsf@HIDDEN>
Date: Sun, 13 Oct 2019 21:07:31 +0200
Message-ID: <87v9ssa2h8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30043
Cc: 30043 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Tomas Nordin <tomasn@HIDDEN>
>> Cc: 30043 <at> debbugs.gnu.org
>> Date: Sun, 13 Oct 2019 12:00:40 +0200
>>=20
>> Tomas Nordin <tomasn@HIDDEN> writes:
>>=20
>> > this strange behavior. Who knows, maybe there is something strange
>> > going on on all Windows installations at my work place.
>>=20
>> I have now found one more person in this country (Sweden) who use emacs
>> on MS-Windows, outside my organisation, who complains about the same
>> thing. C-M-e inserts a euro character. Actually he didn't complain, but
>> I managed to get him to try this out and he confirmed the effect. Maybe
>> for the sake of this bug report we can pretend that he complained. His
>> version of emacs was
>>=20
>>         GNU Emacs 26.2 (build 1, x86_64-w64-mingw32) of 2019-04-13
>
> Can you try setting w32-recognize-altgr to a nil value?

Here is a test session including w32-recognize-altgr

emacs -Q

w32-recognize-altgr ;; -> t
w32-use-fallback-wm-chars-method ;; -> nil

C-h c on the following key combinations and its message

Alt left-ctrl e -> =E2=82=AC runs the command self-insert-command
AltGr left-ctrl e -> =E2=82=AC runs the command self-insert-command
AltGr e -> =E2=82=AC runs the command self-insert-command

(setq w32-recognize-altgr nil)

Alt left-ctrl e -> =E2=82=AC runs the command self-insert-command
AltGr left-ctrl e -> =E2=82=AC runs the command self-insert-command
AltGr e -> =E2=82=AC runs the command self-insert-command

(setq w32-use-fallback-wm-chars-method t)

Alt left-ctrl e -> C-M-e runs the command end-of-defun
AltGr left-ctrl e -> C-M-e runs the command end-of-defun
AltGr e -> C-M-e runs the command end-of-defun

(setq w32-recognize-altgr t)

Alt left-ctrl e -> C-M-e runs the command end-of-defun
AltGr left-ctrl e -> =E2=82=AC runs the command self-insert-command
AltGr e -> =E2=82=AC runs the command self-insert-command


It seems that only nilling w32-recognize-altgr does not do it. Combining
w32-use-fallback-wm-chars-method as t and w32-recognize-altgr as nil
disables the AltGr functionality.

Best regards
--
Tomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 13 Oct 2019 10:33:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 13 06:33:40 2019
Received: from localhost ([127.0.0.1]:35242 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJbBz-0007Th-OP
	for submit <at> debbugs.gnu.org; Sun, 13 Oct 2019 06:33:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50550)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iJbBw-0007TR-7P
 for 30043 <at> debbugs.gnu.org; Sun, 13 Oct 2019 06:33:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56316)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iJbBq-0001Is-UU; Sun, 13 Oct 2019 06:33:30 -0400
Received: from [176.228.60.248] (port=2638 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iJbBq-0002DV-BV; Sun, 13 Oct 2019 06:33:30 -0400
Date: Sun, 13 Oct 2019 13:33:22 +0300
Message-Id: <83lftpkk99.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Tomas Nordin <tomasn@HIDDEN>
In-reply-to: <874l0darsn.fsf@HIDDEN> (message from Tomas Nordin on Sun, 13
 Oct 2019 12:00:40 +0200)
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <CADwFkmkpUaCL9RVvMgxX+anX9kuacHBY3=1--UD_R+vebCkWdA@HIDDEN>
 <87k19r1bp1.fsf@HIDDEN>
 <CADwFkm=4oAzpZwZJT0TVoinMC2=nH1NpyjSnuRcoXKovy0324w@HIDDEN>
 <83y2y7drra.fsf@HIDDEN>
 <CADwFkmmcK-i2Zi3+AQ540Hva2=GegSe68D0mGtxDB-0xEGB++w@HIDDEN>
 <87d0fj0xq5.fsf@HIDDEN>
 <874l0darsn.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30043
Cc: 30043 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Tomas Nordin <tomasn@HIDDEN>
> Cc: 30043 <at> debbugs.gnu.org
> Date: Sun, 13 Oct 2019 12:00:40 +0200
> 
> Tomas Nordin <tomasn@HIDDEN> writes:
> 
> > this strange behavior. Who knows, maybe there is something strange
> > going on on all Windows installations at my work place.
> 
> I have now found one more person in this country (Sweden) who use emacs
> on MS-Windows, outside my organisation, who complains about the same
> thing. C-M-e inserts a euro character. Actually he didn't complain, but
> I managed to get him to try this out and he confirmed the effect. Maybe
> for the sake of this bug report we can pretend that he complained. His
> version of emacs was
> 
>         GNU Emacs 26.2 (build 1, x86_64-w64-mingw32) of 2019-04-13

Can you try setting w32-recognize-altgr to a nil value?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 13 Oct 2019 10:00:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 13 06:00:54 2019
Received: from localhost ([127.0.0.1]:35028 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJagF-0006X6-Hy
	for submit <at> debbugs.gnu.org; Sun, 13 Oct 2019 06:00:54 -0400
Received: from mout02.posteo.de ([185.67.36.66]:56407)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tomasn@HIDDEN>) id 1iJagD-0006Wh-75
 for 30043 <at> debbugs.gnu.org; Sun, 13 Oct 2019 06:00:50 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 1EA642400E6
 for <30043 <at> debbugs.gnu.org>; Sun, 13 Oct 2019 12:00:43 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1570960843; bh=7eAYNW/p2EKetHVi2iOsMNK4pxuR2o6TZ/nfx7rVt2g=;
 h=From:To:Cc:Subject:Date:From;
 b=mAyzlG31FA5KrRHgCB2VDNdwU3EkWKJwzBwrW45bsrky4Q7w4ma1teoIUvLs/45rQ
 z/YFpvYR2PEh5/BN2UhVNrSb2yjAm5MNfait2RLy2VSvWz6GI5sM/3PvlTkID7raUN
 0i4tfNvv+rNEPEq3IvtC+1CJuywz2gQN/aGKFXY+Y64udL3ljytUBhhAf0cYgtDRFn
 v7/XBEyD6UDXnOECDkhIIyB7HFbpwxRidRJRj5xHb/YvQmtO3R/NN0KRmSW4+PU+25
 T/Sa2M4lf4eUlGQczg3Ynq/KXSMhoeGCZDjLupKFm1tOSytG6qMX9nwFOngvsamtHI
 wL2V6Aey0SI0w==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 46rcdP4NMqz9rxT;
 Sun, 13 Oct 2019 12:00:41 +0200 (CEST)
From: Tomas Nordin <tomasn@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
In-Reply-To: <87d0fj0xq5.fsf@HIDDEN>
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <CADwFkmkpUaCL9RVvMgxX+anX9kuacHBY3=1--UD_R+vebCkWdA@HIDDEN>
 <87k19r1bp1.fsf@HIDDEN>
 <CADwFkm=4oAzpZwZJT0TVoinMC2=nH1NpyjSnuRcoXKovy0324w@HIDDEN>
 <83y2y7drra.fsf@HIDDEN>
 <CADwFkmmcK-i2Zi3+AQ540Hva2=GegSe68D0mGtxDB-0xEGB++w@HIDDEN>
 <87d0fj0xq5.fsf@HIDDEN>
Date: Sun, 13 Oct 2019 12:00:40 +0200
Message-ID: <874l0darsn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30043
Cc: 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Tomas Nordin <tomasn@HIDDEN> writes:

> this strange behavior. Who knows, maybe there is something strange
> going on on all Windows installations at my work place.

I have now found one more person in this country (Sweden) who use emacs
on MS-Windows, outside my organisation, who complains about the same
thing. C-M-e inserts a euro character. Actually he didn't complain, but
I managed to get him to try this out and he confirmed the effect. Maybe
for the sake of this bug report we can pretend that he complained. His
version of emacs was

        GNU Emacs 26.2 (build 1, x86_64-w64-mingw32) of 2019-04-13

Best regards
--
Tomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 29 Sep 2019 18:33:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 14:33:06 2019
Received: from localhost ([127.0.0.1]:55849 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEe0I-00029J-LI
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 14:33:06 -0400
Received: from mout01.posteo.de ([185.67.36.65]:48465)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tomasn@HIDDEN>) id 1iEe0G-00028n-Mv
 for 30043 <at> debbugs.gnu.org; Sun, 29 Sep 2019 14:33:05 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 19B94160062
 for <30043 <at> debbugs.gnu.org>; Sun, 29 Sep 2019 20:32:57 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1569781978; bh=ah9jU0MG3CyT+zpxyc9MLC3Sh86/zxDWbTxK/5/ZVAg=;
 h=From:To:Cc:Subject:Date:From;
 b=OqgdSq/NxGxWa89Sts+MlTpmadFJwKV3/S3Kjf1XtuXn6I3Eo4YF1NC3E5h2frFYH
 7I3dsyv2Bs4X9ZlR0AGlzsp+eG8DhV783EVYloqUIwhetu8K/orprndzmJ+RHNdST5
 86N6ifOW3SOWO1enulRoeqFSXvLfL8B6mObZaJr5xbIg9G3PAcESvJYFQCUdSgU1vY
 n5IOQxr+VT60Blx//Y/Hx85UWusOfxpH54EOgrLzEB/WVf+2ntS3x4PHV+h66BCRrB
 p2E/OmiwlhREDHhRP5nSecItQcxfknWaEmq/Oou2KjdM/wenO5xvjUK5kdcVrKXo6w
 mteDc6teXLZkQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 46hDfw4yNYz6tm5;
 Sun, 29 Sep 2019 20:32:56 +0200 (CEST)
From: Tomas Nordin <tomasn@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, stefan@HIDDEN
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
In-Reply-To: <83sgofdq5k.fsf@HIDDEN>
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <CADwFkmkpUaCL9RVvMgxX+anX9kuacHBY3=1--UD_R+vebCkWdA@HIDDEN>
 <87k19r1bp1.fsf@HIDDEN>
 <CADwFkm=4oAzpZwZJT0TVoinMC2=nH1NpyjSnuRcoXKovy0324w@HIDDEN>
 <83y2y7drra.fsf@HIDDEN> <83wodrdrdl.fsf@HIDDEN> <83v9tbdqzu.fsf@HIDDEN>
 <83tv8vdqiz.fsf@HIDDEN> <83sgofdq5k.fsf@HIDDEN>
Date: Sun, 29 Sep 2019 20:32:55 +0200
Message-ID: <87a7an0x7s.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30043
Cc: 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Date: Sun, 29 Sep 2019 19:19:00 +0300
>> From: Eli Zaretskii <eliz@HIDDEN>
>> Cc: tomasn@HIDDEN, 30043 <at> debbugs.gnu.org
>> 
>> An alternative would be to install a different keyboard: not all of
>> them produce the Euro symbol for AltGr+E.
>
> See also this page:
>
>   https://www.thewindowsclub.com/how-do-i-enable-or-disable-alt-gr-key-on-windows-10-keyboard

I had a look at that. I didn't find a way to disable the feature to
mimic AltGr by pressing Ctrl-Alt, which I guess is what I should want.

In other words, it seems that by emacs 25 I need windows not to mimic
AltGr when I hit Ctrl-Alt.

Best regards
--
Tomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 29 Sep 2019 18:22:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 14:22:04 2019
Received: from localhost ([127.0.0.1]:55844 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEdpc-0001qe-Ff
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 14:22:04 -0400
Received: from mout01.posteo.de ([185.67.36.65]:48531)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tomasn@HIDDEN>) id 1iEdpa-0001q9-Ta
 for 30043 <at> debbugs.gnu.org; Sun, 29 Sep 2019 14:22:03 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id B129A160063
 for <30043 <at> debbugs.gnu.org>; Sun, 29 Sep 2019 20:21:56 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1569781316; bh=rHE03i5YbMjeqG1XpXO2qtIwVUdUrfXGxnVYkbXFs70=;
 h=From:To:Cc:Subject:Date:From;
 b=T8P824ksEjR0cVMSjJ1+MYbTO918wQJGRRPLTQbdJO0gusiCx/56zKT340aE9TxJV
 jNYeKrgfeFc8X+02dSMGuOuZE/XmE7kSvkT/wAJtRlc5YY+iqPnN0xgp2ceknFe7YT
 Lubo2llAUgdmKUsXMwc/C/50qWjq8qryZWGLfgBv6ADWzAEo1YQW5XXxDTsiieJLUm
 ewxYG5eCVgFeF4P2Ad9P2n5yaem7uxkl3/CgPkZKdMybUnkAi12S/W+YJFgpHJgUPF
 XgRPs8MXxisoZSKx3SYFmbjYR/4Kcnccl45yL30Xzv1v+0kScVw/tqw57BX0SmRIPZ
 zI8gyVpgk2drQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 46hDQC2T70z6tm9;
 Sun, 29 Sep 2019 20:21:54 +0200 (CEST)
From: Tomas Nordin <tomasn@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
In-Reply-To: <CADwFkmmcK-i2Zi3+AQ540Hva2=GegSe68D0mGtxDB-0xEGB++w@HIDDEN>
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <CADwFkmkpUaCL9RVvMgxX+anX9kuacHBY3=1--UD_R+vebCkWdA@HIDDEN>
 <87k19r1bp1.fsf@HIDDEN>
 <CADwFkm=4oAzpZwZJT0TVoinMC2=nH1NpyjSnuRcoXKovy0324w@HIDDEN>
 <83y2y7drra.fsf@HIDDEN>
 <CADwFkmmcK-i2Zi3+AQ540Hva2=GegSe68D0mGtxDB-0xEGB++w@HIDDEN>
Date: Sun, 29 Sep 2019 20:21:54 +0200
Message-ID: <87d0fj0xq5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30043
Cc: 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>> > If it's the case that this change breaks M-C-e on all Swedish
>> > keyboards on MS-Windows
>>
>> I don't think this is the case.  C-M-e does in Emacs exactly what it
>> should do, it just doesn't do what it does in other applications,
>> i.e. insert the Euro symbol.  But why should C-M-e do that in Sweden,
>> when it doesn't do that in other locales?  It sounds like Emacs
>> behaves consistently here.
>
> I believe the problem here is that C-M-e inserts an Euro symbol, and
> the reporter wants it to run end-of-defun instead.

This is to the point correct and that was the case until emacs 25.
Others with Swedish keyboards on Windows should confirm or disconfirm
this strange behavior. Who knows, maybe there is something strange going
on on all Windows installations at my work place.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 29 Sep 2019 16:27:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 12:27:20 2019
Received: from localhost ([127.0.0.1]:55726 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEc2Z-0007Sr-Jw
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 12:27:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44916)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iEc2W-0007Sb-9U
 for 30043 <at> debbugs.gnu.org; Sun, 29 Sep 2019 12:27:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52096)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iEc2P-0003H5-4N; Sun, 29 Sep 2019 12:27:09 -0400
Received: from [176.228.60.248] (port=4915 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iEc2N-00028v-ER; Sun, 29 Sep 2019 12:27:08 -0400
Date: Sun, 29 Sep 2019 19:27:03 +0300
Message-Id: <83sgofdq5k.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: stefan@HIDDEN
In-reply-to: <83tv8vdqiz.fsf@HIDDEN> (message from Eli Zaretskii on Sun, 29
 Sep 2019 19:19:00 +0300)
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <CADwFkmkpUaCL9RVvMgxX+anX9kuacHBY3=1--UD_R+vebCkWdA@HIDDEN>
 <87k19r1bp1.fsf@HIDDEN>
 <CADwFkm=4oAzpZwZJT0TVoinMC2=nH1NpyjSnuRcoXKovy0324w@HIDDEN>
 <83y2y7drra.fsf@HIDDEN> <83wodrdrdl.fsf@HIDDEN> <83v9tbdqzu.fsf@HIDDEN>
 <83tv8vdqiz.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30043
Cc: tomasn@HIDDEN, 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 29 Sep 2019 19:19:00 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: tomasn@HIDDEN, 30043 <at> debbugs.gnu.org
> 
> An alternative would be to install a different keyboard: not all of
> them produce the Euro symbol for AltGr+E.

See also this page:

  https://www.thewindowsclub.com/how-do-i-enable-or-disable-alt-gr-key-on-windows-10-keyboard




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 29 Sep 2019 16:19:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 12:19:14 2019
Received: from localhost ([127.0.0.1]:55692 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEbuk-0007DG-9p
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 12:19:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43971)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iEbui-0007Cy-Ib
 for 30043 <at> debbugs.gnu.org; Sun, 29 Sep 2019 12:19:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51896)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iEbud-0005te-Dx; Sun, 29 Sep 2019 12:19:07 -0400
Received: from [176.228.60.248] (port=4139 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iEbuc-0008VI-0j; Sun, 29 Sep 2019 12:19:06 -0400
Date: Sun, 29 Sep 2019 19:19:00 +0300
Message-Id: <83tv8vdqiz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: stefan@HIDDEN
In-reply-to: <83v9tbdqzu.fsf@HIDDEN> (message from Eli Zaretskii on Sun, 29
 Sep 2019 19:08:53 +0300)
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <CADwFkmkpUaCL9RVvMgxX+anX9kuacHBY3=1--UD_R+vebCkWdA@HIDDEN>
 <87k19r1bp1.fsf@HIDDEN>
 <CADwFkm=4oAzpZwZJT0TVoinMC2=nH1NpyjSnuRcoXKovy0324w@HIDDEN>
 <83y2y7drra.fsf@HIDDEN> <83wodrdrdl.fsf@HIDDEN> <83v9tbdqzu.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30043
Cc: tomasn@HIDDEN, 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 29 Sep 2019 19:08:53 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: tomasn@HIDDEN, 30043 <at> debbugs.gnu.org
> 
> So I still stand by my suggestion to use that variable.

An alternative would be to install a different keyboard: not all of
them produce the Euro symbol for AltGr+E.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 29 Sep 2019 16:09:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 12:09:08 2019
Received: from localhost ([127.0.0.1]:55657 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEbky-0004rT-KO
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 12:09:08 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iEbkt-0004qU-Ux
 for 30043 <at> debbugs.gnu.org; Sun, 29 Sep 2019 12:09:04 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51555)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iEbko-0000Qv-Pt; Sun, 29 Sep 2019 12:08:58 -0400
Received: from [176.228.60.248] (port=3222 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iEbko-0007OJ-3m; Sun, 29 Sep 2019 12:08:58 -0400
Date: Sun, 29 Sep 2019 19:08:53 +0300
Message-Id: <83v9tbdqzu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: stefan@HIDDEN
In-reply-to: <83wodrdrdl.fsf@HIDDEN> (message from Eli Zaretskii on Sun, 29
 Sep 2019 19:00:38 +0300)
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <CADwFkmkpUaCL9RVvMgxX+anX9kuacHBY3=1--UD_R+vebCkWdA@HIDDEN>
 <87k19r1bp1.fsf@HIDDEN>
 <CADwFkm=4oAzpZwZJT0TVoinMC2=nH1NpyjSnuRcoXKovy0324w@HIDDEN>
 <83y2y7drra.fsf@HIDDEN> <83wodrdrdl.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30043
Cc: tomasn@HIDDEN, 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 29 Sep 2019 19:00:38 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: tomasn@HIDDEN, 30043 <at> debbugs.gnu.org
> 
> Btw, the reason could be as simple as this: other applications
> react to AltGr+e and C-M-e the same (because AltGr is sometimes
> equivalent to Alt+Ctrl pressed together), whereas Emacs distinguishes
> them

Hmm... I see it's the other way around: C-M-e produces for the OP the
same Euro as AltGr+e.

So I still stand by my suggestion to use that variable.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 29 Sep 2019 16:09:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 12:09:04 2019
Received: from localhost ([127.0.0.1]:55655 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEbku-0004rE-9h
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 12:09:04 -0400
Received: from mail-pf1-f177.google.com ([209.85.210.177]:37708)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1iEbks-0004qR-JW
 for 30043 <at> debbugs.gnu.org; Sun, 29 Sep 2019 12:09:02 -0400
Received: by mail-pf1-f177.google.com with SMTP id y5so4114050pfo.4
 for <30043 <at> debbugs.gnu.org>; Sun, 29 Sep 2019 09:09:02 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=VgoUv3pEb04zID3Gt3KVir2jjZJro5uCmA0JTb8s95o=;
 b=WPVVt8f7zzH/RcabQamkjxFhh3rnqXXSL2n6d9fddLOBVK7+GPlbftjccLa7yroyLT
 Pv/Zdo7BJuukK6LcsG8dHaOVh7JCFFvAxCyQCwkcBU4lp+I9mipCcLbkJ8WkgSxAEESa
 M/w/XWygVxAXMvF5m+T1I43f4mVnBFGdzpkUAZmUJEzzW+RksYZEP8D7lTu7xQb+JD9F
 pVrAaiFW8aBxIWF52ReFouKwLRnLSh91zMRNAy+6S4QSGWhehOz2ltQZn/+d85h/DVyL
 rtZEFIgyxhmDZrFaTAq/WXVaqiT8/mSQFmx56nugCOBUStgD1viUuy5nYTCEriykLQEU
 NpPg==
X-Gm-Message-State: APjAAAUo2Q3LCZPpjOhJEzfLxDGLplQxrpoO4PN530gDDGc4lKsLN9WE
 xcpzymgQND/eT8rrVwsP3TelUkipnxDSo5iif1U=
X-Google-Smtp-Source: APXvYqyO2WiOLnTCnRuUFzgVQyKZUZDsukb+rhNzvD1tlenXvVX0Hn2l5dMpzxMQSQXq0zEIW41wbRWqskBmnUm1IVs=
X-Received: by 2002:a63:720f:: with SMTP id n15mr19138981pgc.198.1569773336837; 
 Sun, 29 Sep 2019 09:08:56 -0700 (PDT)
MIME-Version: 1.0
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <CADwFkmkpUaCL9RVvMgxX+anX9kuacHBY3=1--UD_R+vebCkWdA@HIDDEN>
 <87k19r1bp1.fsf@HIDDEN>
 <CADwFkm=4oAzpZwZJT0TVoinMC2=nH1NpyjSnuRcoXKovy0324w@HIDDEN>
 <83y2y7drra.fsf@HIDDEN>
In-Reply-To: <83y2y7drra.fsf@HIDDEN>
From: Stefan Kangas <stefan@HIDDEN>
Date: Sun, 29 Sep 2019 18:08:45 +0200
Message-ID: <CADwFkmmcK-i2Zi3+AQ540Hva2=GegSe68D0mGtxDB-0xEGB++w@HIDDEN>
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 30043
Cc: Tomas Nordin <tomasn@HIDDEN>, 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> > If it's the case that this change breaks M-C-e on all Swedish
> > keyboards on MS-Windows
>
> I don't think this is the case.  C-M-e does in Emacs exactly what it
> should do, it just doesn't do what it does in other applications,
> i.e. insert the Euro symbol.  But why should C-M-e do that in Sweden,
> when it doesn't do that in other locales?  It sounds like Emacs
> behaves consistently here.

I believe the problem here is that C-M-e inserts an Euro symbol, and
the reporter wants it to run end-of-defun instead.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 29 Sep 2019 16:00:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 12:00:51 2019
Received: from localhost ([127.0.0.1]:55619 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEbcw-0004cn-MM
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 12:00:51 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41351)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iEbcu-0004cQ-Cj
 for 30043 <at> debbugs.gnu.org; Sun, 29 Sep 2019 12:00:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51356)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iEbco-0004oO-Sf; Sun, 29 Sep 2019 12:00:42 -0400
Received: from [176.228.60.248] (port=2709 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iEbco-0006EF-66; Sun, 29 Sep 2019 12:00:42 -0400
Date: Sun, 29 Sep 2019 19:00:38 +0300
Message-Id: <83wodrdrdl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: stefan@HIDDEN
In-reply-to: <83y2y7drra.fsf@HIDDEN> (message from Eli Zaretskii on Sun, 29
 Sep 2019 18:52:25 +0300)
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <CADwFkmkpUaCL9RVvMgxX+anX9kuacHBY3=1--UD_R+vebCkWdA@HIDDEN>
 <87k19r1bp1.fsf@HIDDEN>
 <CADwFkm=4oAzpZwZJT0TVoinMC2=nH1NpyjSnuRcoXKovy0324w@HIDDEN>
 <83y2y7drra.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30043
Cc: tomasn@HIDDEN, 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 29 Sep 2019 18:52:25 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: tomasn@HIDDEN, 30043 <at> debbugs.gnu.org, ilya@HIDDEN
> 
> > If it's the case that this change breaks M-C-e on all Swedish
> > keyboards on MS-Windows
> 
> I don't think this is the case.  C-M-e does in Emacs exactly what it
> should do, it just doesn't do what it does in other applications,
> i.e. insert the Euro symbol.  But why should C-M-e do that in Sweden,
> when it doesn't do that in other locales?  It sounds like Emacs
> behaves consistently here.

Btw, the reason could be as simple as this: other applications
react to AltGr+e and C-M-e the same (because AltGr is sometimes
equivalent to Alt+Ctrl pressed together), whereas Emacs distinguishes
them, which was part of the reason for the changes we made in Emacs
25.  IOW, this is a feature.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 29 Sep 2019 15:52:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 11:52:52 2019
Received: from localhost ([127.0.0.1]:55607 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEbVE-0004PP-6I
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 11:52:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40694)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iEbVA-0004PA-Iw
 for 30043 <at> debbugs.gnu.org; Sun, 29 Sep 2019 11:52:49 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51263)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iEbUy-0007fb-Lx; Sun, 29 Sep 2019 11:52:36 -0400
Received: from [176.228.60.248] (port=2157 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iEbUt-0006AE-7k; Sun, 29 Sep 2019 11:52:31 -0400
Date: Sun, 29 Sep 2019 18:52:25 +0300
Message-Id: <83y2y7drra.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-reply-to: <CADwFkm=4oAzpZwZJT0TVoinMC2=nH1NpyjSnuRcoXKovy0324w@HIDDEN>
 (message from Stefan Kangas on Sun, 29 Sep 2019 17:42:59 +0200)
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <CADwFkmkpUaCL9RVvMgxX+anX9kuacHBY3=1--UD_R+vebCkWdA@HIDDEN>
 <87k19r1bp1.fsf@HIDDEN>
 <CADwFkm=4oAzpZwZJT0TVoinMC2=nH1NpyjSnuRcoXKovy0324w@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30043
Cc: tomasn@HIDDEN, 30043 <at> debbugs.gnu.org, ilya@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Sun, 29 Sep 2019 17:42:59 +0200
> Cc: Eli Zaretskii <eliz@HIDDEN>, 30043 <at> debbugs.gnu.org, 
> 	Ilya Zakharevich <ilya@HIDDEN>
> 
> Thanks for writing back.  It was not my intention to close a
> legitimate bug; reopened it now.  I've been investigating this a bit,
> and it seems like this new keyboard handling code was introduced due
> to deficiencies in the old one.  See:
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=19994
> See also the possibly related: https://debbugs.gnu.org/bug=23251

Of course, we made that change to make keyboard input better on
MS-Windows.  And it _is_ better now than it was before.

> If it's the case that this change breaks M-C-e on all Swedish
> keyboards on MS-Windows

I don't think this is the case.  C-M-e does in Emacs exactly what it
should do, it just doesn't do what it does in other applications,
i.e. insert the Euro symbol.  But why should C-M-e do that in Sweden,
when it doesn't do that in other locales?  It sounds like Emacs
behaves consistently here.

> At the very least, it makes sense to me that the doc string should
> be improved as Tomas suggests, and possibly also that the workaround
> should be documented in e.g. etc/PROBLEMS.

I have nothing against mentioning this quirk in PROBLEMS, of course.
Although I don't really agree this is a "problem".

> Eli, what do you think?  I've also Cc:ed Ilya Zakharevich in the hope
> that he will be able to help.

If Ilya can look into this and explain what's going on, it would be
great, of course.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 29 Sep 2019 15:45:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 11:45:58 2019
Received: from localhost ([127.0.0.1]:55600 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEbOX-000347-OM
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 11:45:58 -0400
Received: from mail-pl1-f174.google.com ([209.85.214.174]:46989)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1iEbOV-0002xl-CL
 for 30043 <at> debbugs.gnu.org; Sun, 29 Sep 2019 11:45:55 -0400
Received: by mail-pl1-f174.google.com with SMTP id q24so2863070plr.13
 for <30043 <at> debbugs.gnu.org>; Sun, 29 Sep 2019 08:45:55 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=PvMTB5lD4IU5PKqoozcLwoKVTIWezm7Knu+2KxofBUk=;
 b=ofiIok1IRaC8KapIYH8HS5kq394w8MTg268SeM88uXc9wuojYzN9fxfVfkIaI5rhMb
 NpWsABwxODc87Uw8PQztSbq+STORrtNB9H1Mx8HOW6nRmdfNW0NJ/FljHmnFuW8AFmQd
 iKZ+77o32zWA6LCqXjoirE6vlj8nvw4EuEYkt34mUmWf/lz4jrZPa3HBUbOJ8oJ7LiRV
 NAj5+RiyNukaE9PQ3VKnoLFGSOMKVmO33shDFFBlofqmy0G+FCpHsVPMpqob88lO8OAz
 2AgvY2/HjU9H3tYjMf68nzKdrDgNiGiZOVrtMlDUI8yA9k/2zlYl+33IojrrRlc4PB3Y
 EoWw==
X-Gm-Message-State: APjAAAU1RrG0rVbHWoTcgAhd451qJcRBaEAqLpOE5zYvpKehByGdl96k
 +oT9gydyGsV3PkuFsis6BAWAwDvfNJ3S7vz3TZk=
X-Google-Smtp-Source: APXvYqzY+aIh1qYUvyIPMWZRHDg3Owj/Bk4hU5a924znx39i/03XofaVFkoU0e4QjZPTu7eS99ZwkC1RcVrhLyKcXLw=
X-Received: by 2002:a17:902:a515:: with SMTP id
 s21mr16220822plq.259.1569771949619; 
 Sun, 29 Sep 2019 08:45:49 -0700 (PDT)
MIME-Version: 1.0
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <CADwFkmkpUaCL9RVvMgxX+anX9kuacHBY3=1--UD_R+vebCkWdA@HIDDEN>
 <87k19r1bp1.fsf@HIDDEN>
 <CADwFkm=4oAzpZwZJT0TVoinMC2=nH1NpyjSnuRcoXKovy0324w@HIDDEN>
In-Reply-To: <CADwFkm=4oAzpZwZJT0TVoinMC2=nH1NpyjSnuRcoXKovy0324w@HIDDEN>
From: Stefan Kangas <stefan@HIDDEN>
Date: Sun, 29 Sep 2019 17:45:38 +0200
Message-ID: <CADwFkmmgtQ0P0skvJDgFiQKVdm2Fvu=mDJsLF+EWY1OqqismkA@HIDDEN>
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
To: Tomas Nordin <tomasn@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 30043
Cc: Eli Zaretskii <eliz@HIDDEN>, 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=19994
> See also the possibly related: https://debbugs.gnu.org/bug=23251

Sorry, that should be:
https://debbugs.gnu.org/19994 and
https://debbugs.gnu.org/23251

> Eli, what do you think?  I've also Cc:ed Ilya Zakharevich in the hope
> that he will be able to help.

The email to Ilya Zakharevich bounced, unfortunately, with:
550 5.1.1 The email account that you tried to reach does not exist.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
Removed tag(s) notabug. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 29 Sep 2019 15:43:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 11:43:18 2019
Received: from localhost ([127.0.0.1]:55588 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEbLy-00027f-DU
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 11:43:18 -0400
Received: from mail-pf1-f194.google.com ([209.85.210.194]:34418)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1iEbLw-00027M-Q5
 for 30043 <at> debbugs.gnu.org; Sun, 29 Sep 2019 11:43:17 -0400
Received: by mail-pf1-f194.google.com with SMTP id b128so4099466pfa.1
 for <30043 <at> debbugs.gnu.org>; Sun, 29 Sep 2019 08:43:16 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=b2jR1Eizxl4Lgm9g3ZlaR4J7OlogaTIHzZcsIH9ubuo=;
 b=dWT/X/7P/mkhGwZtFvpE5FBRkfgqgh9FuWl2JQnC2YqD9v/hUXLW9SxxD7tCAK8vui
 zDw5iqcgcPbgB+4kG3hrfzBi+r+EFmlwOvqIUbRwNHlGezigaBzJY6EAIOROJwMMDFHa
 CyY/HJ/3bUNm48cQyuooNg5W3hhBEo7/kPwtHSOdiyxubPOA/Wcbrzbo0yVOKmKi7nN8
 EMro1H1doRVtVZZbrP4ovxoRGp5GmdtuzzBFi6lB+nqc2AwQ9R9G3xURjqYs10UhZ91c
 WT1RynHl6kiVwetp2In3zLN6m3bOvAdPzTKBxXQvAcuBdzk9RSKOhPzG43UFs4N8PDSy
 r1zQ==
X-Gm-Message-State: APjAAAWSTgfjsqx06M9Z4Tr85EBlhyo8T1LV1JBlbOI1V+dr/w5xs7wT
 19YZFZCl8yCyGk+fWdPMy77vvxqh/oSrN3ujDuo=
X-Google-Smtp-Source: APXvYqwnS7x4Z7bzen2erq3ckYr+6Ps4NVRwbtvHxWk797gcrR7xkLJoGKR/5FLjcETzCh6ySDbHwm62BiG6QG0GT18=
X-Received: by 2002:aa7:8750:: with SMTP id g16mr16131968pfo.190.1569771790898; 
 Sun, 29 Sep 2019 08:43:10 -0700 (PDT)
MIME-Version: 1.0
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <CADwFkmkpUaCL9RVvMgxX+anX9kuacHBY3=1--UD_R+vebCkWdA@HIDDEN>
 <87k19r1bp1.fsf@HIDDEN>
In-Reply-To: <87k19r1bp1.fsf@HIDDEN>
From: Stefan Kangas <stefan@HIDDEN>
Date: Sun, 29 Sep 2019 17:42:59 +0200
Message-ID: <CADwFkm=4oAzpZwZJT0TVoinMC2=nH1NpyjSnuRcoXKovy0324w@HIDDEN>
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
To: Tomas Nordin <tomasn@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 30043
Cc: Eli Zaretskii <eliz@HIDDEN>, 30043 <at> debbugs.gnu.org,
 Ilya Zakharevich <ilya@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 30043 - notabug
reopen 30043
thanks

Tomas Nordin <tomasn@HIDDEN> writes:

> >> So I guess you somehow have a keyboard which doesn't fit the new
> >> keyboard input code introduced by Emacs 25, and need to use this
> >> fallback variable to avoid the problem.
> >
> > I believe that was the correct answer, and nothing of the rest of the
> > discussion indicated otherwise.  I'm therefore closing this as notabug.
>
> It seems to me then that the correct answer is that keyboards with
> swedish layout on Windows does not fit the new keyboard input code. I
> see the same on a laptop now with emacs 26.2. It is strange that no-one
> else in this country complains.
>
> Using the work-around with setting w32-use-fallback-wm-chars-method
> solves the problem. But the docstring of that variable suggests that I
> shouldn't have to use it unless debugging something.
>
> I am not going to argue with the closing but I don't think this is
> specific to one specific keyboard. It was reproduced on several
> keyboards on different machines.

Hi Tomas,

Thanks for writing back.  It was not my intention to close a
legitimate bug; reopened it now.  I've been investigating this a bit,
and it seems like this new keyboard handling code was introduced due
to deficiencies in the old one.  See:
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=19994
See also the possibly related: https://debbugs.gnu.org/bug=23251

If it's the case that this change breaks M-C-e on all Swedish
keyboards on MS-Windows, perhaps it's worth making sure the users
doesn't have to set w32-use-fallback-wm-chars-method to non-nil.  At
the very least, it makes sense to me that the doc string should be
improved as Tomas suggests, and possibly also that the workaround
should be documented in e.g. etc/PROBLEMS.

Eli, what do you think?  I've also Cc:ed Ilya Zakharevich in the hope
that he will be able to help.

Also: is anyone else seeing this on their Swedish keyboard on
MS-Windows?  And Tomas: Are you seeing the same thing with other key
bindings involving one or more modifiers?

I have a Swedish keyboard but no MS-Windows system, so I can't dig
into this beyond this.  I'm also a bit out of my depth.  Therefore,
I'll have to leave it to someone else to decide how to best proceed
here.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 29 Sep 2019 13:20:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 09:20:21 2019
Received: from localhost ([127.0.0.1]:52634 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEZ7d-0004aO-DZ
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 09:20:21 -0400
Received: from mout02.posteo.de ([185.67.36.66]:48641)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tomasn@HIDDEN>) id 1iEZ7a-0004a9-Vt
 for 30043 <at> debbugs.gnu.org; Sun, 29 Sep 2019 09:20:19 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 095C32400E6
 for <30043 <at> debbugs.gnu.org>; Sun, 29 Sep 2019 15:20:12 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1569763213; bh=11/GMHU0Az+VmEfExyvEG/7Wf7RYDOyVS4VxrGBecpA=;
 h=From:To:Cc:Subject:Date:From;
 b=YN+sWZ7OMe0JxK+SmCcQIALysX/3CYrSIDWqdBQafPLWj7nXgaCtNpAnrwtd1dORp
 1JK5qh24aTUJCwv0SFNsSZpIUajIBHVVsbskEJ5PQhPcfvdUT5TWK7c9xZGvQksZOd
 m2rqXgzNPC41qjatesaXpHlqbL0q++Sto1zVG/UMvuSAddzaRA3BCcP/tM+XfITv6/
 beZ/Z0tYDsZY/EKSn/NbIkDwI+IgSXBiWOPC69D+vz8/p2z1+HdqDPnNmBBloiEAyS
 TgXOqoizKS+t5i0X2z1WoJ6K4zU8sWZE0JKa0ueemdCUhO0vKWo77GLjsLG8FkBeDX
 kKpi7jeACy1WQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 46h5k33scYz9rxD;
 Sun, 29 Sep 2019 15:20:11 +0200 (CEST)
From: Tomas Nordin <tomasn@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
In-Reply-To: <CADwFkmkpUaCL9RVvMgxX+anX9kuacHBY3=1--UD_R+vebCkWdA@HIDDEN>
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <CADwFkmkpUaCL9RVvMgxX+anX9kuacHBY3=1--UD_R+vebCkWdA@HIDDEN>
Date: Sun, 29 Sep 2019 15:20:10 +0200
Message-ID: <87k19r1bp1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30043
Cc: 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> tags 30043 + notabug
> close 30043
> quit
>
> Eli Zaretskii <eliz@HIDDEN> writes:
>
>>> From: Tomas Nordin <tomasn@HIDDEN>
>>> Cc: 30043 <at> debbugs.gnu.org
>>> Date: Sat, 13 Jan 2018 23:10:43 +0100
>>>
>>> > Does it help to set w32-use-fallback-wm-chars-method to a non -nil
>>> > value in Emacs 25.3?
>>>
>>> Yes, that removes the problem.
>>
>> So I guess you somehow have a keyboard which doesn't fit the new
>> keyboard input code introduced by Emacs 25, and need to use this
>> fallback variable to avoid the problem.
>
> I believe that was the correct answer, and nothing of the rest of the
> discussion indicated otherwise.  I'm therefore closing this as notabug.

It seems to me then that the correct answer is that keyboards with
swedish layout on Windows does not fit the new keyboard input code. I
see the same on a laptop now with emacs 26.2. It is strange that no-one
else in this country complains.

Using the work-around with setting w32-use-fallback-wm-chars-method
solves the problem. But the docstring of that variable suggests that I
shouldn't have to use it unless debugging something.

I am not going to argue with the closing but I don't think this is
specific to one specific keyboard. It was reproduced on several
keyboards on different machines.

Thanks
--
Tomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.
bug closed, send any further explanations to 30043 <at> debbugs.gnu.org and tomasn@HIDDEN Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) notabug. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 28 Sep 2019 23:03:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 28 19:03:41 2019
Received: from localhost ([127.0.0.1]:51509 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iELkb-0000XV-FX
	for submit <at> debbugs.gnu.org; Sat, 28 Sep 2019 19:03:41 -0400
Received: from mail-pl1-f174.google.com ([209.85.214.174]:44751)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1iELkV-0000Wu-CF
 for 30043 <at> debbugs.gnu.org; Sat, 28 Sep 2019 19:03:35 -0400
Received: by mail-pl1-f174.google.com with SMTP id q15so2420567pll.11
 for <30043 <at> debbugs.gnu.org>; Sat, 28 Sep 2019 16:03:35 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to:cc;
 bh=6QfUHlW5m3/v3usNLxPAiEfrTxKKfYcHNXuC0LlXP8k=;
 b=iMexN+/wOQ8cd+8ce1rOz8xH9FRx/nHv6TEuh3NGbIpfHRfy2SB4mgf+LDj0nIY8q2
 AfaDimQI8T1+boNetKCtcboLDw8PGhLAECii2+ixXERJ4O0mqb4G6ysR5lsjlqpdwOtO
 poY5fezCjJG7MhRTU7p1Nws4Qa9t6+mIvqJKtkZMFv/fWUGT/Aq0PVpRWJPhjIZRHTVi
 N9OF+bABhe+k1/vYba11fHH/KYKcTWMzN2BS8HfhgHkxNeHHOdOI2ytRey1QRe5cdOWD
 tE5oZbBG43B+H2TAkKyGIqeZBWNA37u0x3ee3c8EaegkkczEV97+pfD2WWSHP+YcOXgT
 1o/g==
X-Gm-Message-State: APjAAAW+3xwrt4bN5QafR//swSw99Krmot8+1/sWsCIAJv5RgqrNyJ8/
 JUnLxd6i9fu7nHfCTD1VGrOHA8icb/6l6znRFaM=
X-Google-Smtp-Source: APXvYqw7dbpIF5bVlLOSa/7yo3KBGO2ABo4YdEIDnSOHaMtewvuyYwPk8jDVXHVfI5JERDF0kJ+XCA55RbenEVcjDHo=
X-Received: by 2002:a17:902:a515:: with SMTP id
 s21mr13052142plq.259.1569711808490; 
 Sat, 28 Sep 2019 16:03:28 -0700 (PDT)
MIME-Version: 1.0
From: Stefan Kangas <stefan@HIDDEN>
Date: Sun, 29 Sep 2019 01:03:17 +0200
Message-ID: <CADwFkmkpUaCL9RVvMgxX+anX9kuacHBY3=1--UD_R+vebCkWdA@HIDDEN>
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 30043
Cc: Tomas Nordin <tomasn@HIDDEN>, 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

tags 30043 + notabug
close 30043
quit

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Tomas Nordin <tomasn@HIDDEN>
>> Cc: 30043 <at> debbugs.gnu.org
>> Date: Sat, 13 Jan 2018 23:10:43 +0100
>>
>> > Does it help to set w32-use-fallback-wm-chars-method to a non -nil
>> > value in Emacs 25.3?
>>
>> Yes, that removes the problem.
>
> So I guess you somehow have a keyboard which doesn't fit the new
> keyboard input code introduced by Emacs 25, and need to use this
> fallback variable to avoid the problem.

I believe that was the correct answer, and nothing of the rest of the
discussion indicated otherwise.  I'm therefore closing this as notabug.

If anyone disagrees, feel free to reopen.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 18 Jan 2018 11:16:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 18 06:16:54 2018
Received: from localhost ([127.0.0.1]:60968 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ec8Bh-0004gJ-NQ
	for submit <at> debbugs.gnu.org; Thu, 18 Jan 2018 06:16:53 -0500
Received: from mout01.posteo.de ([185.67.36.65]:60083)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tomasn@HIDDEN>) id 1ec8Bf-0004g2-Pk
 for 30043 <at> debbugs.gnu.org; Thu, 18 Jan 2018 06:16:52 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id BB3B820F78
 for <30043 <at> debbugs.gnu.org>; Thu, 18 Jan 2018 12:16:45 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1516274205; bh=4hLQ2wr0tmO1IIWSnx6X91Nob9pJkqiJ4wEOh1b8cWE=;
 h=From:To:Cc:Subject:Date:From;
 b=TKf98bwjqjckBe5fD5XyaBHvB8mEtmxMNzXeklDchXw47RMd0WVnKO9SnMHPcLJqb
 v77Fkat4bGv2+pvK5dcOoZm86vaHD6JkVpdw2Ns9rbDkXjXZpimF7PcUwvuxNI30/Q
 05R6ELlvkQKEsJNbi6SqO024mrkMKhbGxJhW19j/fzbqFySrb+Yv/js8Sbp/5y79y7
 5ZJC0tlRXJSrb3UV6ZIWkxXTdFhdAJyiDTDGxoONDE1WzkJIYh0YvxiJBUrB7Z74c4
 p2ljWgWbkDT/fCzqOcFatYU2UPbBvlThkKNSaNlxBHdknfGbGxX9mbUuevD+17dJFP
 BXe8bAeScUAtA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 3zMhHH4q5Pz9rxY;
 Thu, 18 Jan 2018 12:16:43 +0100 (CET)
From: Tomas Nordin <tomasn@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
In-Reply-To: <83po6cz005.fsf@HIDDEN>
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <831siy7uhq.fsf@HIDDEN>
 <87fu7eeo7q.fsf@HIDDEN>
 <83o9m25qys.fsf@HIDDEN>
 <877espe64z.fsf@HIDDEN>
 <83o9m04cfx.fsf@HIDDEN>
 <87fu792yvw.fsf@HIDDEN>
 <834lnp15c1.fsf@HIDDEN>
 <87bmhw2rk5.fsf@HIDDEN>
 <83po6cz005.fsf@HIDDEN>
Date: Thu, 18 Jan 2018 12:16:42 +0100
Message-ID: <87607zju1x.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30043
Cc: 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Tomas Nordin <tomasn@HIDDEN>
>> Cc: 30043 <at> debbugs.gnu.org
>> Date: Sun, 14 Jan 2018 20:01:14 +0100
>> 
>> > So I guess you somehow have a keyboard which doesn't fit the new
>> > keyboard input code introduced by Emacs 25, and need to use this
>> > fallback variable to avoid the problem.
>> 
>> Does it mean that the new input code has no fault but the keyboard
>> probably has a problem?
>
> I don't think this is a problem, I think this is how your keyboard is
> supposed to work.  But since you don't like it, I mentioned the

For curiosity I wrote a small python script to collect some keyboard
input at home on Gnu/Linux and at work on Windows

------------------------8<-------------------------------------------
import Tkinter as tk
import time

logfmt = '{:10f}\t{:10}\t{:10}\t{:}'

root = tk.Tk()


def key(event):

    print logfmt.format(time.time() - start_time,
                        repr(event.char),
                        repr(event.keysym),
                        repr(event.keycode))

def callback(event):
    # starts listening here
    frame.focus_set()


frame = tk.Frame(root, width=100, height=100)
frame.bind("<Key>", key)
frame.bind("<Button-1>", callback)
frame.pack()

start_time = time.time()
print '{:10}\t{:10}\t{:10}\t{:}'.format('time', 'char', 'keysym', 'keycode')
root.mainloop()
------------------------>8-------------------------------------------

I tried it by pressing e three times and then ctrl+alt+e and then
e three times again.

Gnu/Linux

time      	char      	keysym    	keycode
  3.201521	'e'       	'e'       	26
  3.497571	'e'       	'e'       	26
  3.713505	'e'       	'e'       	26
  4.329478	''        	'Control_L'	37
  4.473506	''        	'Alt_L'   	64
  4.745468	'\x05'    	'e'       	26
  6.001459	'e'       	'e'       	26
  6.249449	'e'       	'e'       	26
  6.481506	'e'       	'e'       	26

Windows

time      	char      	keysym    	keycode
  2.424000	'e'       	'e'       	69
  2.704000	'e'       	'e'       	69
  2.964000	'e'       	'e'       	69
  3.744000	''        	'Control_L'	17
  3.924000	''        	'Alt_L'   	18
  4.344000	u'\u20ac' 	'e'       	69
  5.866000	'e'       	'e'       	69
  6.147000	'e'       	'e'       	69
  6.347000	'e'       	'e'       	69

I don't know if it adds anything to the discussion, but anyway. Much are
different on the platforms, the only thing in common seem to be the
key symbol in this case, and the char sometimes. The same pattern was
repeated on three Windows stations with different keyboards.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 18 Jan 2018 10:59:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 18 05:59:46 2018
Received: from localhost ([127.0.0.1]:60963 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ec7v8-0004CF-85
	for submit <at> debbugs.gnu.org; Thu, 18 Jan 2018 05:59:46 -0500
Received: from mout01.posteo.de ([185.67.36.65]:41499)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tomasn@HIDDEN>) id 1ec7v6-0004C1-7a
 for 30043 <at> debbugs.gnu.org; Thu, 18 Jan 2018 05:59:44 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 095C921022
 for <30043 <at> debbugs.gnu.org>; Thu, 18 Jan 2018 11:59:37 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1516273178; bh=0FDmzJFdDDpQTJHoaLk/t6fccS7wATbi25ZP3jHvhPk=;
 h=From:To:Cc:Subject:Date:From;
 b=O7uB9KpKmvO6F2ulpzB04FX94W44AwLnOivBqCMEHxH7PfFuny/Tmnq/EUphKjyUk
 WsSwtxB0D3JSHiEP4jUm0D16KWmHV71cdGYIJKXi3anboDpGWFsJvNmixdNNmqu0nC
 261kECyPIDXwIUFP/ttHOg1qEQLIb2W84y0v0KezIh+LlP+Ep5kM0zmRq+klk61wnt
 pyVRurjBtdFbIBuJKzfJa8ZtBm14wVsMQ0SlSX1RCGaBEw8xKsNT6dv4GNy1+a4Lr3
 LmS1KOABeLkzvzq+if8nZsCfbmkGRxgHEooDkJmKj3+8Dn+DdjxCIB1/z81MPW8Uf7
 7laicfQdvSTtw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 3zMgvR5Tbvz9s0N;
 Thu, 18 Jan 2018 11:59:31 +0100 (CET)
From: Tomas Nordin <tomasn@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
In-Reply-To: <83mv1fzoro.fsf@HIDDEN>
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <831siy7uhq.fsf@HIDDEN>
 <87fu7eeo7q.fsf@HIDDEN>
 <83o9m25qys.fsf@HIDDEN>
 <877espe64z.fsf@HIDDEN>
 <83o9m04cfx.fsf@HIDDEN>
 <87fu792yvw.fsf@HIDDEN>
 <834lnp15c1.fsf@HIDDEN>
 <87bmhw2rk5.fsf@HIDDEN>
 <83po6cz005.fsf@HIDDEN>
 <878td02nsg.fsf@HIDDEN>
 <83mv1fzoro.fsf@HIDDEN>
Date: Thu, 18 Jan 2018 11:59:26 +0100
Message-ID: <878tcvjuup.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30043
Cc: 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Tomas Nordin <tomasn@HIDDEN>
>> Cc: 30043 <at> debbugs.gnu.org
>> Date: Sun, 14 Jan 2018 21:22:39 +0100
>> 
>> > I don't think this is a problem, I think this is how your keyboard is
>> > supposed to work.  But since you don't like it, I mentioned the
>> > variable which can be used to get back the old Emacs 24 behavior, if
>> > that's what you want.
>> 
>> Yes, I do prefer to be able to call end-of-defun by a familiar
>> key-binding. If I test this on some other stations with other keyboards
>> with the same result, will that yield the same recommendation with
>> setting the fall-back variable?
>
> You should definitely try that variable if you see a similar issue,
> especially if the behavior changed since Emacs 24.

I checked this on two other stations (with other keyboards) and the
same thing happened, C-M-e inserts a euro character using emacs 25+.
Setting w32-use-fallback-wm-chars-method to t removes the problem also
on those stations.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 15 Jan 2018 05:15:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 15 00:15:31 2018
Received: from localhost ([127.0.0.1]:56586 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eax7K-0007qu-PK
	for submit <at> debbugs.gnu.org; Mon, 15 Jan 2018 00:15:30 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55372)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eax7J-0007qj-KW
 for 30043 <at> debbugs.gnu.org; Mon, 15 Jan 2018 00:15:30 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eax7B-0006tg-2M
 for 30043 <at> debbugs.gnu.org; Mon, 15 Jan 2018 00:15:24 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42275)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eax7A-0006tT-Sx; Mon, 15 Jan 2018 00:15:20 -0500
Received: from [176.228.60.248] (port=3418 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eax7A-00060P-AJ; Mon, 15 Jan 2018 00:15:20 -0500
Date: Mon, 15 Jan 2018 07:15:07 +0200
Message-Id: <83mv1fzoro.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Tomas Nordin <tomasn@HIDDEN>
In-reply-to: <878td02nsg.fsf@HIDDEN>
 (message from Tomas Nordin on Sun, 14 Jan 2018 21:22:39 +0100)
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <831siy7uhq.fsf@HIDDEN>
 <87fu7eeo7q.fsf@HIDDEN>
 <83o9m25qys.fsf@HIDDEN>
 <877espe64z.fsf@HIDDEN>
 <83o9m04cfx.fsf@HIDDEN>
 <87fu792yvw.fsf@HIDDEN>
 <834lnp15c1.fsf@HIDDEN>
 <87bmhw2rk5.fsf@HIDDEN>
 <83po6cz005.fsf@HIDDEN>
 <878td02nsg.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30043
Cc: 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Tomas Nordin <tomasn@HIDDEN>
> Cc: 30043 <at> debbugs.gnu.org
> Date: Sun, 14 Jan 2018 21:22:39 +0100
> 
> > I don't think this is a problem, I think this is how your keyboard is
> > supposed to work.  But since you don't like it, I mentioned the
> > variable which can be used to get back the old Emacs 24 behavior, if
> > that's what you want.
> 
> Yes, I do prefer to be able to call end-of-defun by a familiar
> key-binding. If I test this on some other stations with other keyboards
> with the same result, will that yield the same recommendation with
> setting the fall-back variable?

You should definitely try that variable if you see a similar issue,
especially if the behavior changed since Emacs 24.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 14 Jan 2018 20:22:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 14 15:22:49 2018
Received: from localhost ([127.0.0.1]:56358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eaonp-0006iP-I4
	for submit <at> debbugs.gnu.org; Sun, 14 Jan 2018 15:22:49 -0500
Received: from mout01.posteo.de ([185.67.36.65]:35560)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tomasn@HIDDEN>) id 1eaonn-0006i9-Is
 for 30043 <at> debbugs.gnu.org; Sun, 14 Jan 2018 15:22:48 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 4B20E20E72
 for <30043 <at> debbugs.gnu.org>; Sun, 14 Jan 2018 21:22:41 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1515961361; bh=uqvcvQ01bO7d9n/Tnq9+ZJNDiXfL1emseACvJQA9N4s=;
 h=From:To:Cc:Subject:Date:From;
 b=k79WT+Z4cDbT1A5/WsXo5eUf72vQPKdppYA3chGVqJ/C9TiGrL3hSY9LlmakBpx0m
 3oJwzRqhrg33GBC2+tjuA6gu9jMaRUdDFSFGRNJ/o2EtVBChgPhspI1OvYXA6+3gHc
 ArRgG1aL8+AQC/JwQJQn64iqHuPIqL2q1cS7Y/vmRJoYrSaoroOkb1mD5Wif9ApIwv
 v6StH8TXrvCCnWoq6Ac4e6ApLo2QeezPSq4vu38tRUG63J+Zzj3qhvawXXPsYNDB5a
 tgel1yuat4ACnb6/q+mFiCd82Ek3TbwdsjIqt6JjNnT8yZPoSy921pOBMlVw5OkCSN
 PtuuPD4wK37yA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 3zKSb43LcYz9rxm;
 Sun, 14 Jan 2018 21:22:40 +0100 (CET)
From: Tomas Nordin <tomasn@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
In-Reply-To: <83po6cz005.fsf@HIDDEN>
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <831siy7uhq.fsf@HIDDEN>
 <87fu7eeo7q.fsf@HIDDEN>
 <83o9m25qys.fsf@HIDDEN>
 <877espe64z.fsf@HIDDEN>
 <83o9m04cfx.fsf@HIDDEN>
 <87fu792yvw.fsf@HIDDEN>
 <834lnp15c1.fsf@HIDDEN>
 <87bmhw2rk5.fsf@HIDDEN>
 <83po6cz005.fsf@HIDDEN>
Date: Sun, 14 Jan 2018 21:22:39 +0100
Message-ID: <878td02nsg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30043
Cc: 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Tomas Nordin <tomasn@HIDDEN>
>> Cc: 30043 <at> debbugs.gnu.org
>> Date: Sun, 14 Jan 2018 20:01:14 +0100
>> 
>> > So I guess you somehow have a keyboard which doesn't fit the new
>> > keyboard input code introduced by Emacs 25, and need to use this
>> > fallback variable to avoid the problem.
>> 
>> Does it mean that the new input code has no fault but the keyboard
>> probably has a problem?
>
> I don't think this is a problem, I think this is how your keyboard is
> supposed to work.  But since you don't like it, I mentioned the
> variable which can be used to get back the old Emacs 24 behavior, if
> that's what you want.

Yes, I do prefer to be able to call end-of-defun by a familiar
key-binding. If I test this on some other stations with other keyboards
with the same result, will that yield the same recommendation with
setting the fall-back variable?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 14 Jan 2018 19:58:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 14 14:58:23 2018
Received: from localhost ([127.0.0.1]:56340 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eaoQA-00068m-Pr
	for submit <at> debbugs.gnu.org; Sun, 14 Jan 2018 14:58:23 -0500
Received: from eggs.gnu.org ([208.118.235.92]:48329)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eaoQ8-00068P-TR
 for 30043 <at> debbugs.gnu.org; Sun, 14 Jan 2018 14:58:21 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eaoPy-0002WC-SV
 for 30043 <at> debbugs.gnu.org; Sun, 14 Jan 2018 14:58:15 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:36272)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eaoPy-0002Vy-OJ; Sun, 14 Jan 2018 14:58:10 -0500
Received: from [176.228.60.248] (port=3061 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eaoPv-0005aN-2U; Sun, 14 Jan 2018 14:58:08 -0500
Date: Sun, 14 Jan 2018 21:57:46 +0200
Message-Id: <83po6cz005.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Tomas Nordin <tomasn@HIDDEN>
In-reply-to: <87bmhw2rk5.fsf@HIDDEN>
 (message from Tomas Nordin on Sun, 14 Jan 2018 20:01:14 +0100)
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <831siy7uhq.fsf@HIDDEN>
 <87fu7eeo7q.fsf@HIDDEN>
 <83o9m25qys.fsf@HIDDEN>
 <877espe64z.fsf@HIDDEN>
 <83o9m04cfx.fsf@HIDDEN>
 <87fu792yvw.fsf@HIDDEN>
 <834lnp15c1.fsf@HIDDEN>
 <87bmhw2rk5.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30043
Cc: 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Tomas Nordin <tomasn@HIDDEN>
> Cc: 30043 <at> debbugs.gnu.org
> Date: Sun, 14 Jan 2018 20:01:14 +0100
> 
> > So I guess you somehow have a keyboard which doesn't fit the new
> > keyboard input code introduced by Emacs 25, and need to use this
> > fallback variable to avoid the problem.
> 
> Does it mean that the new input code has no fault but the keyboard
> probably has a problem?

I don't think this is a problem, I think this is how your keyboard is
supposed to work.  But since you don't like it, I mentioned the
variable which can be used to get back the old Emacs 24 behavior, if
that's what you want.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 14 Jan 2018 19:01:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 14 14:01:33 2018
Received: from localhost ([127.0.0.1]:56304 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eanXA-0002tn-Tq
	for submit <at> debbugs.gnu.org; Sun, 14 Jan 2018 14:01:33 -0500
Received: from mout01.posteo.de ([185.67.36.65]:59997)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tomasn@HIDDEN>) id 1eanX8-0002tZ-5m
 for 30043 <at> debbugs.gnu.org; Sun, 14 Jan 2018 14:01:30 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id B0DF120F89
 for <30043 <at> debbugs.gnu.org>; Sun, 14 Jan 2018 20:01:23 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1515956483; bh=K6J4rV7nRuj0HdKeMXwbxRR2YNeimC7QgkamNW8QMgI=;
 h=From:To:Cc:Subject:Date:From;
 b=RfUFu9CwKnhtGzQ3zYBcWOS3YEw1Ax3Y82lOaZmh2IgKi/qrZRguAZSYo0PYFLG/4
 qhKyDfIb5/KEljjva0uoN9+YNZ2UkB+pLl61CyaofVTn2EbH2R3QWfYYklc27SazL0
 iXnqCZqBxZlookPsmHHIZBLRge2K1eDhA3wzgwjWlUvd7EWYezdgg1buwYmMbovXfV
 8V5gDA87989rnwH0qu+LfzDH9elZO0RIYkgzE4/JYrkTWcdSF/4NdBbdGBUzJ5blYh
 HwiwBI9K6+UyRqcxnVy/91n7lsBlEc6nR2zyp7e/4BHIn815N8sv0T42cZwMjpEy3s
 9qdXtI+mgXcRg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 3zKQnG75WTz9rxZ;
 Sun, 14 Jan 2018 20:01:22 +0100 (CET)
From: Tomas Nordin <tomasn@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
In-Reply-To: <834lnp15c1.fsf@HIDDEN>
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <831siy7uhq.fsf@HIDDEN>
 <87fu7eeo7q.fsf@HIDDEN>
 <83o9m25qys.fsf@HIDDEN>
 <877espe64z.fsf@HIDDEN>
 <83o9m04cfx.fsf@HIDDEN>
 <87fu792yvw.fsf@HIDDEN>
 <834lnp15c1.fsf@HIDDEN>
Date: Sun, 14 Jan 2018 20:01:14 +0100
Message-ID: <87bmhw2rk5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30043
Cc: 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Tomas Nordin <tomasn@HIDDEN>
>> Cc: 30043 <at> debbugs.gnu.org
>> Date: Sat, 13 Jan 2018 23:10:43 +0100
>> 
>> > Does it help to set w32-use-fallback-wm-chars-method to a non -nil
>> > value in Emacs 25.3?
>> 
>> Yes, that removes the problem.
>
> So I guess you somehow have a keyboard which doesn't fit the new
> keyboard input code introduced by Emacs 25, and need to use this
> fallback variable to avoid the problem.

Does it mean that the new input code has no fault but the keyboard
probably has a problem? The keyboard is basically

https://www.cherry.de/cid/keyboards_STRAIT_BLACK_Corded_Keyboard.htm?cpssessionid=SID-92645709-3B558B4B

but with Swedish layout.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 14 Jan 2018 03:34:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 13 22:34:51 2018
Received: from localhost ([127.0.0.1]:55273 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eaZ4M-0008Of-TY
	for submit <at> debbugs.gnu.org; Sat, 13 Jan 2018 22:34:51 -0500
Received: from eggs.gnu.org ([208.118.235.92]:48009)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eaZ4L-0008OT-BN
 for 30043 <at> debbugs.gnu.org; Sat, 13 Jan 2018 22:34:50 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eaZ4C-0001eL-5O
 for 30043 <at> debbugs.gnu.org; Sat, 13 Jan 2018 22:34:44 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:54386)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eaZ4C-0001eH-24; Sat, 13 Jan 2018 22:34:40 -0500
Received: from [176.228.60.248] (port=2191 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eaZ4B-0003bc-FX; Sat, 13 Jan 2018 22:34:39 -0500
Date: Sun, 14 Jan 2018 05:34:22 +0200
Message-Id: <834lnp15c1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Tomas Nordin <tomasn@HIDDEN>
In-reply-to: <87fu792yvw.fsf@HIDDEN>
 (message from Tomas Nordin on Sat, 13 Jan 2018 23:10:43 +0100)
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <831siy7uhq.fsf@HIDDEN>
 <87fu7eeo7q.fsf@HIDDEN>
 <83o9m25qys.fsf@HIDDEN>
 <877espe64z.fsf@HIDDEN>
 <83o9m04cfx.fsf@HIDDEN>
 <87fu792yvw.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30043
Cc: 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Tomas Nordin <tomasn@HIDDEN>
> Cc: 30043 <at> debbugs.gnu.org
> Date: Sat, 13 Jan 2018 23:10:43 +0100
> 
> > Does it help to set w32-use-fallback-wm-chars-method to a non -nil
> > value in Emacs 25.3?
> 
> Yes, that removes the problem.

So I guess you somehow have a keyboard which doesn't fit the new
keyboard input code introduced by Emacs 25, and need to use this
fallback variable to avoid the problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 13 Jan 2018 22:10:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 13 17:10:53 2018
Received: from localhost ([127.0.0.1]:55201 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eaU0q-0000q5-QL
	for submit <at> debbugs.gnu.org; Sat, 13 Jan 2018 17:10:52 -0500
Received: from mout01.posteo.de ([185.67.36.65]:53784)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tomasn@HIDDEN>) id 1eaU0p-0000pm-1a
 for 30043 <at> debbugs.gnu.org; Sat, 13 Jan 2018 17:10:51 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id D87A220E36
 for <30043 <at> debbugs.gnu.org>; Sat, 13 Jan 2018 23:10:44 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1515881444; bh=HuHGJV/VKkoUK8CxDIJZgGZ1YSFW22fbANS4RkuIe0o=;
 h=From:To:Cc:Subject:Date:From;
 b=kkzMboA43v+fLj0fRI+GfoqriE0AuqH8P+GWLyJU0kF8T5+R5AXe+ejYjhQg0y4F/
 ESsVbQXFsemUUjpaVszqL8lQSSMkcCs7zpWY5650ucXXVSPh1xU6YddMtev1yPVCWd
 H6mGDJZsi4LSLTJqjmwUfA7LssvunMwjR3hwwJFkrQcxtTsL4tV3gjZXL2mKzByGEO
 rmyXa0as0bdRbL/pQIy07IswTZnTQi2TznnUMuqgH2FuYQV2z3pO7g+oEP3bH4i6mp
 qRP7ysRp1d1oMHdsvO8V7U2nt4qXtkb17Hyoy6Mmz2wamZwcR2lubBp+wzkArXv8RL
 v2q/YrUfqQMYw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 3zJv2D0zYVz9rxF;
 Sat, 13 Jan 2018 23:10:44 +0100 (CET)
From: Tomas Nordin <tomasn@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
In-Reply-To: <83o9m04cfx.fsf@HIDDEN>
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <831siy7uhq.fsf@HIDDEN>
 <87fu7eeo7q.fsf@HIDDEN>
 <83o9m25qys.fsf@HIDDEN>
 <877espe64z.fsf@HIDDEN>
 <83o9m04cfx.fsf@HIDDEN>
Date: Sat, 13 Jan 2018 23:10:43 +0100
Message-ID: <87fu792yvw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30043
Cc: 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


> Does it help to set w32-use-fallback-wm-chars-method to a non -nil
> value in Emacs 25.3?

Yes, that removes the problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 11 Jan 2018 15:56:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 11 10:56:01 2018
Received: from localhost ([127.0.0.1]:52356 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eZfCz-0001JR-9c
	for submit <at> debbugs.gnu.org; Thu, 11 Jan 2018 10:56:01 -0500
Received: from eggs.gnu.org ([208.118.235.92]:51752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eZfCx-0001JE-JA
 for 30043 <at> debbugs.gnu.org; Thu, 11 Jan 2018 10:55:59 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eZfCn-0006tS-Or
 for 30043 <at> debbugs.gnu.org; Thu, 11 Jan 2018 10:55:54 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:48826)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eZfCn-0006t3-L4; Thu, 11 Jan 2018 10:55:49 -0500
Received: from [176.228.60.248] (port=3091 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eZfCm-0002vO-DD; Thu, 11 Jan 2018 10:55:49 -0500
Date: Thu, 11 Jan 2018 17:55:46 +0200
Message-Id: <83o9m04cfx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Tomas Nordin <tomasn@HIDDEN>
In-reply-to: <877espe64z.fsf@HIDDEN>
 (message from Tomas Nordin on Wed, 10 Jan 2018 22:49:32 +0100)
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <831siy7uhq.fsf@HIDDEN>
 <87fu7eeo7q.fsf@HIDDEN>
 <83o9m25qys.fsf@HIDDEN>
 <877espe64z.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30043
Cc: 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Tomas Nordin <tomasn@HIDDEN>
> Cc: 30043 <at> debbugs.gnu.org
> Date: Wed, 10 Jan 2018 22:49:32 +0100
> 
> ./emacs-24.5/bin/runemacs.exe -Q
> fundamental mode
> Trying C-M-e with num key lit: end-of-defun is run
> Trying C-M-e with num key un-lit: end-of-defun is run
> 
> ./emacs-25.3_1/bin/runemacs.exe -Q
> fundamental mode
> Trying C-M-e with num key lit: € is inserted
> Trying C-M-e with num key un-lit: € is inserted

Does it help to set w32-use-fallback-wm-chars-method to a non -nil
value in Emacs 25.3?

> Also, on this keyboard the $ sign is on numeric key 4 and @ character is
> on key 2. They get inserted by C-M-4 and C-M-2 respectively in the
> Notepad editor for example, (simalar to the C-M-e event). The same is
> true on my neighbours computer. Thats news to me, I usually use "alt gr
> + 2" for example to insert @. So one could maybe think that those
> key-strokes are in the danger zone as well but in both emacs versions
> the effect is
> 
> C-M-2 runs the command digit-argument
> C-M-4 runs the command digit-argument
> 
> no insertion of @ or $.

My keyboard has none of that, so I'm not really sure what's going on.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 10 Jan 2018 21:49:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 10 16:49:45 2018
Received: from localhost ([127.0.0.1]:51445 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eZOFl-0003cw-Ax
	for submit <at> debbugs.gnu.org; Wed, 10 Jan 2018 16:49:45 -0500
Received: from mout01.posteo.de ([185.67.36.65]:46205)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tomasn@HIDDEN>) id 1eZOFh-0003cf-25
 for 30043 <at> debbugs.gnu.org; Wed, 10 Jan 2018 16:49:42 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id C3BB720DEF
 for <30043 <at> debbugs.gnu.org>; Wed, 10 Jan 2018 22:49:34 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1515620974; bh=qMu9QuIeSkJsk8B0/zVSsGPd5BhskJMDcL01IpidTm8=;
 h=From:To:Cc:Subject:Date:From;
 b=EjM3o3MVPc5eGLoovu0B/4B37JhJCvS3VgY7F8MvEEMTKZkMYzAD+CmFj9gQ3D6uS
 s8yQfc4OS9NgE1BV58u+BdLp5o2bvFNrkdhdIvreOOkedfRcjhG2nSPMQ6nXelCNdC
 /L83oYew46lZSTX9cCF6kTiJBgzNtgUhYJWFwN7AZovV7NBJbwk+//zLkCzRKO1c4i
 gv4iAmOVAG3hFEHlFdJ3W3LXcbBVTTeRlU/fiC+iZSSqSrSty8lRvzVQzZ0fwxQ8Th
 iv/apPCF+ELNe9ofxDzBoP0vMh1fNw4e3jqrdd/DaedSIgJDESQEkws7PryIV/EGLh
 Y6/OWGSmm4yUA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 3zH2j95wVCz9rxX;
 Wed, 10 Jan 2018 22:49:33 +0100 (CET)
From: Tomas Nordin <tomasn@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
In-Reply-To: <83o9m25qys.fsf@HIDDEN>
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <831siy7uhq.fsf@HIDDEN>
 <87fu7eeo7q.fsf@HIDDEN>
 <83o9m25qys.fsf@HIDDEN>
Date: Wed, 10 Jan 2018 22:49:32 +0100
Message-ID: <877espe64z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30043
Cc: 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Tomas Nordin <tomasn@HIDDEN>
>> Cc: 30043 <at> debbugs.gnu.org
>> Date: Tue, 09 Jan 2018 22:06:49 +0100
>>=20
>> Eli Zaretskii <eliz@HIDDEN> writes:
>>=20
>> > I cannot reproduce this here, C-M-e in Emacs doesn't insert =E2=82=AC.
>>=20
>> Does C-M-e insert =E2=82=AC in some other editor for you?
>
> Yes, Word does.  In any case, what other editors do should not be
> relevant for Emacs.
>
>> >> I don't know what should be the correct behavior, but do prefer
>> >> C-M-e to run the command end-of-defun
>> >
>> > Invoking end-of-defun is the correct behavior, and that's what it does
>> > for me.
>>=20
>> Tomorrow I will check if num lock has something to do with it, I read
>> something about that on the web. Still, strange that it happens in 25
>> but not in 24.
>
> I have consistently correct behavior in Emacs here.  Do you perhaps
> have some optional software or Windows feature installed/activated
> that produces the Euro in Emacs?

Not that I know of. Here is some information on the numeric keypad
thing:

./emacs-24.5/bin/runemacs.exe -Q
fundamental mode
Trying C-M-e with num key lit: end-of-defun is run
Trying C-M-e with num key un-lit: end-of-defun is run

./emacs-25.3_1/bin/runemacs.exe -Q
fundamental mode
Trying C-M-e with num key lit: =E2=82=AC is inserted
Trying C-M-e with num key un-lit: =E2=82=AC is inserted

So it had no impact.

Also, on this keyboard the $ sign is on numeric key 4 and @ character is
on key 2. They get inserted by C-M-4 and C-M-2 respectively in the
Notepad editor for example, (simalar to the C-M-e event). The same is
true on my neighbours computer. Thats news to me, I usually use "alt gr
+ 2" for example to insert @. So one could maybe think that those
key-strokes are in the danger zone as well but in both emacs versions
the effect is

C-M-2 runs the command digit-argument
C-M-4 runs the command digit-argument

no insertion of @ or $.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 10 Jan 2018 03:32:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 09 22:32:32 2018
Received: from localhost ([127.0.0.1]:50138 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eZ77u-0004oU-92
	for submit <at> debbugs.gnu.org; Tue, 09 Jan 2018 22:32:30 -0500
Received: from eggs.gnu.org ([208.118.235.92]:51786)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eZ77s-0004oH-If
 for 30043 <at> debbugs.gnu.org; Tue, 09 Jan 2018 22:32:28 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eZ77j-0006Tt-8V
 for 30043 <at> debbugs.gnu.org; Tue, 09 Jan 2018 22:32:23 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42570)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eZ77j-0006To-66; Tue, 09 Jan 2018 22:32:19 -0500
Received: from [176.228.60.248] (port=1810 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eZ77i-00023j-L0; Tue, 09 Jan 2018 22:32:19 -0500
Date: Wed, 10 Jan 2018 05:32:11 +0200
Message-Id: <83o9m25qys.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Tomas Nordin <tomasn@HIDDEN>
In-reply-to: <87fu7eeo7q.fsf@HIDDEN>
 (message from Tomas Nordin on Tue, 09 Jan 2018 22:06:49 +0100)
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <831siy7uhq.fsf@HIDDEN>
 <87fu7eeo7q.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30043
Cc: 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Tomas Nordin <tomasn@HIDDEN>
> Cc: 30043 <at> debbugs.gnu.org
> Date: Tue, 09 Jan 2018 22:06:49 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > I cannot reproduce this here, C-M-e in Emacs doesn't insert €.
> 
> Does C-M-e insert € in some other editor for you?

Yes, Word does.  In any case, what other editors do should not be
relevant for Emacs.

> >> I don't know what should be the correct behavior, but do prefer
> >> C-M-e to run the command end-of-defun
> >
> > Invoking end-of-defun is the correct behavior, and that's what it does
> > for me.
> 
> Tomorrow I will check if num lock has something to do with it, I read
> something about that on the web. Still, strange that it happens in 25
> but not in 24.

I have consistently correct behavior in Emacs here.  Do you perhaps
have some optional software or Windows feature installed/activated
that produces the Euro in Emacs?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 9 Jan 2018 21:06:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 09 16:06:58 2018
Received: from localhost ([127.0.0.1]:49997 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eZ16n-00015Y-Pg
	for submit <at> debbugs.gnu.org; Tue, 09 Jan 2018 16:06:57 -0500
Received: from mout01.posteo.de ([185.67.36.65]:47155)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tomasn@HIDDEN>) id 1eZ16m-00015K-CS
 for 30043 <at> debbugs.gnu.org; Tue, 09 Jan 2018 16:06:57 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 57BF220E2E
 for <30043 <at> debbugs.gnu.org>; Tue,  9 Jan 2018 22:06:50 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1515532010; bh=UfDm9ySX5Zl72zFMkkGh8tHM51omw6FEojsKfjfbUIo=;
 h=From:To:Cc:Subject:Date:From;
 b=gnb5b2S479yNil/e3bmGnq1EdAZYigpdAxn1wOVj8dL804Jn+yLMNPUWISBwJuFbT
 rK6AdjUp5M+zWEKOHB4+jjIGxf42b92u0/+Bkooe2HMi+quSyeuY9mvDCi7eWyLDrd
 /gmaJwpgxqP7iBeGm4evoq3madCi4X116+Ktsx6XT2Dy+zseSNi7K6ao+CiP1Mh6IP
 2FVAGDd6as68KOMKQIJoMVstMLhqomKgJXxrBsrrq6uMVAwD09zlHVReBOdvNOjWDG
 X8FscKTZYQYTcwlYCfTJf3kvQ7y3TWgELL61S6XPy2ISFNZXtsCFoIFKHIY88JnsK7
 rWeI37vv0gsQg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 3zGPpK4PNwz9rxL;
 Tue,  9 Jan 2018 22:06:49 +0100 (CET)
From: Tomas Nordin <tomasn@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
In-Reply-To: <831siy7uhq.fsf@HIDDEN>
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
 <831siy7uhq.fsf@HIDDEN>
Date: Tue, 09 Jan 2018 22:06:49 +0100
Message-ID: <87fu7eeo7q.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30043
Cc: 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Eli Zaretskii <eliz@HIDDEN> writes:

> I cannot reproduce this here, C-M-e in Emacs doesn't insert =E2=82=AC.

Does C-M-e insert =E2=82=AC in some other editor for you?

>> I don't know what should be the correct behavior, but do prefer
>> C-M-e to run the command end-of-defun
>
> Invoking end-of-defun is the correct behavior, and that's what it does
> for me.

Tomorrow I will check if num lock has something to do with it, I read
something about that on the web. Still, strange that it happens in 25
but not in 24.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at 30043 <at> debbugs.gnu.org:


Received: (at 30043) by debbugs.gnu.org; 9 Jan 2018 18:33:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 09 13:33:34 2018
Received: from localhost ([127.0.0.1]:49862 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eYyiM-00034i-Ey
	for submit <at> debbugs.gnu.org; Tue, 09 Jan 2018 13:33:34 -0500
Received: from eggs.gnu.org ([208.118.235.92]:43671)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eYyiJ-00034U-2A
 for 30043 <at> debbugs.gnu.org; Tue, 09 Jan 2018 13:33:31 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eYyi8-0007wS-TV
 for 30043 <at> debbugs.gnu.org; Tue, 09 Jan 2018 13:33:25 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:32823)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eYyi8-0007wM-QT; Tue, 09 Jan 2018 13:33:20 -0500
Received: from [176.228.60.248] (port=1360 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eYyi7-0007uh-DB; Tue, 09 Jan 2018 13:33:20 -0500
Date: Tue, 09 Jan 2018 20:33:05 +0200
Message-Id: <831siy7uhq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: tomasn@HIDDEN
In-reply-to: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN> (tomasn@HIDDEN)
Subject: Re: bug#30043: 25.3; C-M-e inserts euro character
References: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30043
Cc: 30043 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Tue, 09 Jan 2018 16:11:04 +0100
> From: tomasn@HIDDEN
> 
> On a (the reporting) Windows machine in other editors C-M-e inserts a
> Euro character, €. I don't know why, because I can do that with "Alt gr
> e". However, this didn't happen in Emacs 24.5.1 on that same machine.
> With Emacs as by this report it does insert the Euro character.

I cannot reproduce this here, C-M-e in Emacs doesn't insert €.

> I don't know what should be the correct behavior, but do prefer
> C-M-e to run the command end-of-defun

Invoking end-of-defun is the correct behavior, and that's what it does
for me.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Jan 2018 15:11:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 09 10:11:38 2018
Received: from localhost ([127.0.0.1]:43303 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eYvYv-0007Wc-D7
	for submit <at> debbugs.gnu.org; Tue, 09 Jan 2018 10:11:38 -0500
Received: from eggs.gnu.org ([208.118.235.92]:40215)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tomasn@HIDDEN>) id 1eYvYs-0007WM-KS
 for submit <at> debbugs.gnu.org; Tue, 09 Jan 2018 10:11:35 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tomasn@HIDDEN>) id 1eYvYk-0007s3-10
 for submit <at> debbugs.gnu.org; Tue, 09 Jan 2018 10:11:29 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44795)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <tomasn@HIDDEN>) id 1eYvYj-0007rg-TY
 for submit <at> debbugs.gnu.org; Tue, 09 Jan 2018 10:11:25 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:59409)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <tomasn@HIDDEN>) id 1eYvYg-000649-KE
 for bug-gnu-emacs@HIDDEN; Tue, 09 Jan 2018 10:11:25 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tomasn@HIDDEN>) id 1eYvYZ-0007YL-3H
 for bug-gnu-emacs@HIDDEN; Tue, 09 Jan 2018 10:11:22 -0500
Received: from mout01.posteo.de ([185.67.36.65]:54788)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <tomasn@HIDDEN>) id 1eYvYY-0007KZ-KA
 for bug-gnu-emacs@HIDDEN; Tue, 09 Jan 2018 10:11:15 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 2C9A620FBA
 for <bug-gnu-emacs@HIDDEN>; Tue,  9 Jan 2018 16:11:05 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1515510665; bh=+6M7pymTWs1Ih9qN6W0+YkLOGB0q0++rVuRbn7cz/OM=;
 h=Date:From:To:Subject:From;
 b=VFsNHCUmbABNp9QbPU4GByIvtLIgjRU8oRvs9Q6naDoRkrhhL3w2nuuNy79aKRHCp
 DZBqSxJFzH6LHqC1NCBNQMnLt1PkyPS10vLryDrUK9NzdsOGKpjy0hg5ay9TQhmaLw
 dWIO3id7sKac3MIe8EgiaVQT1uNzknPufMIPVXpKtu7D/w+d8VUULcYGwMZR8bfy/h
 2Y2WmHEWtGEQZiJJcK9rRzGw0Yl4BdsZj75W9UuhrSeeeqZHfNOXP2qdWHA19Drs95
 U44oFniqCJ6UYyTi78iJk7Kl+ZQQ8LDUwaGDesdXFwExjEOIuD45ak5q4KZlmZJ+xz
 A0SJkzMoPzNUw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 3zGFvr4S2Pz9rxW
 for <bug-gnu-emacs@HIDDEN>; Tue,  9 Jan 2018 16:11:04 +0100 (CET)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8;
 format=flowed
Content-Transfer-Encoding: quoted-printable
Date: Tue, 09 Jan 2018 16:11:04 +0100
From: tomasn@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: 25.3; C-M-e inserts euro character
Message-ID: <cdd1de5c59b88cce791c800ca3fa20dc@HIDDEN>
X-Sender: tomasn@HIDDEN
User-Agent: Posteo Webmail
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Hello Bug list

On a (the reporting) Windows machine in other editors C-M-e inserts a
Euro character, =E2=82=AC. I don't know why, because I can do that with "Al=
t gr
e". However, this didn't happen in Emacs 24.5.1 on that same machine.
With Emacs as by this report it does insert the Euro character. I don't
know what should be the correct behavior, but do prefer C-M-e to run
the command end-of-defun

In GNU Emacs 25.3.1 (x86_64-w64-mingw32)
  of 2017-09-26 built on LAPHROAIG
Windowing system distributor 'Microsoft Corp.', version 6.1.7601
Configured using:
  'configure --without-dbus --without-compress-install 'CFLAGS=3D-O2
  -static -g3' PKG_CONFIG_PATH=3D/mingw64/lib/pkgconfig'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS

Important settings:
   value of $LANG: SVE
   locale-coding-system: cp1252

Major mode: Dired

Minor modes in effect:
   magit-auto-revert-mode: t
   global-git-commit-mode: t
   diff-auto-refine-mode: t
   async-bytecomp-package-mode: t
   shell-dirtrack-mode: t
   dired-hide-details-mode: t
   show-paren-mode: t
   display-time-mode: t
   ido-vertical-mode: t
   global-hl-line-mode: t
   global-anzu-mode: t
   anzu-mode: t
   which-key-mode: t
   tooltip-mode: t
   global-eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   buffer-read-only: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent messages:
Saving file ...
mouse-2, RET: jump to this character
Saving file ...
Wrote ...
=E2=82=AC is undefined
Quit [5 times]
=E2=82=AC is undefined
scroll-down-command: Beginning of buffer
Mark set
mwheel-scroll: End of buffer [3 times]
mwheel-scroll: Beginning of buffer [6 times]

Load-path shadows:
c:/username/.emacs.d/tomnor-elpa/multiple-cursors.el/multiple-cursors=20
hides c:/username/.emacs.d/tomnor-elpa/multiple-cursors
c:/username/.emacs.d/elpa/org-20171113/ox hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ox
c:/username/.emacs.d/elpa/org-20171113/ox-texinfo hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ox-texinfo
c:/username/.emacs.d/elpa/org-20171113/ox-publish hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ox-publish
c:/username/.emacs.d/elpa/org-20171113/ox-org hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ox-org
c:/username/.emacs.d/elpa/org-20171113/ox-odt hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ox-odt
c:/username/.emacs.d/elpa/org-20171113/ox-md hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ox-md
c:/username/.emacs.d/elpa/org-20171113/ox-man hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ox-man
c:/username/.emacs.d/elpa/org-20171113/ox-latex hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ox-latex
c:/username/.emacs.d/elpa/org-20171113/ox-icalendar hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ox-icalendar
c:/username/.emacs.d/elpa/org-20171113/ox-html hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ox-html
c:/username/.emacs.d/elpa/org-20171113/ox-beamer hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ox-beamer
c:/username/.emacs.d/elpa/org-20171113/ox-ascii hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ox-ascii
c:/username/.emacs.d/elpa/org-20171113/org hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org
c:/username/.emacs.d/elpa/org-20171113/org-w3m hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-w3m
c:/username/.emacs.d/elpa/org-20171113/org-version hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-version
c:/username/.emacs.d/elpa/org-20171113/org-timer hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-timer
c:/username/.emacs.d/elpa/org-20171113/org-table hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-table
c:/username/.emacs.d/elpa/org-20171113/org-src hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-src
c:/username/.emacs.d/elpa/org-20171113/org-rmail hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-rmail
c:/username/.emacs.d/elpa/org-20171113/org-protocol hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-protocol
c:/username/.emacs.d/elpa/org-20171113/org-plot hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-plot
c:/username/.emacs.d/elpa/org-20171113/org-pcomplete hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-pcomplete
c:/username/.emacs.d/elpa/org-20171113/org-mouse hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-mouse
c:/username/.emacs.d/elpa/org-20171113/org-mobile hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-mobile
c:/username/.emacs.d/elpa/org-20171113/org-mhe hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-mhe
c:/username/.emacs.d/elpa/org-20171113/org-macs hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-macs
c:/username/.emacs.d/elpa/org-20171113/org-macro hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-macro
c:/username/.emacs.d/elpa/org-20171113/org-loaddefs hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-loaddefs
c:/username/.emacs.d/elpa/org-20171113/org-list hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-list
c:/username/.emacs.d/elpa/org-20171113/org-irc hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-irc
c:/username/.emacs.d/elpa/org-20171113/org-install hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-install
c:/username/.emacs.d/elpa/org-20171113/org-inlinetask hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-inlinetask
c:/username/.emacs.d/elpa/org-20171113/org-info hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-info
c:/username/.emacs.d/elpa/org-20171113/org-indent hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-indent
c:/username/.emacs.d/elpa/org-20171113/org-id hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-id
c:/username/.emacs.d/elpa/org-20171113/org-habit hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-habit
c:/username/.emacs.d/elpa/org-20171113/org-gnus hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-gnus
c:/username/.emacs.d/elpa/org-20171113/org-footnote hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-footnote
c:/username/.emacs.d/elpa/org-20171113/org-feed hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-feed
c:/username/.emacs.d/elpa/org-20171113/org-faces hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-faces
c:/username/.emacs.d/elpa/org-20171113/org-eshell hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-eshell
c:/username/.emacs.d/elpa/org-20171113/org-entities hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-entities
c:/username/.emacs.d/elpa/org-20171113/org-element hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-element
c:/username/.emacs.d/elpa/org-20171113/org-docview hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-docview
c:/username/.emacs.d/elpa/org-20171113/org-datetree hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-datetree
c:/username/.emacs.d/elpa/org-20171113/org-ctags hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-ctags
c:/username/.emacs.d/elpa/org-20171113/org-crypt hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-crypt
c:/username/.emacs.d/elpa/org-20171113/org-compat hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-compat
c:/username/.emacs.d/elpa/org-20171113/org-colview hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-colview
c:/username/.emacs.d/elpa/org-20171113/org-clock hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-clock
c:/username/.emacs.d/elpa/org-20171113/org-capture hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-capture
c:/username/.emacs.d/elpa/org-20171113/org-bibtex hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-bibtex
c:/username/.emacs.d/elpa/org-20171113/org-bbdb hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-bbdb
c:/username/.emacs.d/elpa/org-20171113/org-attach hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-attach
c:/username/.emacs.d/elpa/org-20171113/org-archive hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-archive
c:/username/.emacs.d/elpa/org-20171113/org-agenda hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/org-agenda
c:/username/.emacs.d/elpa/org-20171113/ob hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob
c:/username/.emacs.d/elpa/org-20171113/ob-tangle hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-tangle
c:/username/.emacs.d/elpa/org-20171113/ob-table hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-table
c:/username/.emacs.d/elpa/org-20171113/ob-sqlite hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-sqlite
c:/username/.emacs.d/elpa/org-20171113/ob-sql hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-sql
c:/username/.emacs.d/elpa/org-20171113/ob-shen hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-shen
c:/username/.emacs.d/elpa/org-20171113/ob-screen hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-screen
c:/username/.emacs.d/elpa/org-20171113/ob-scheme hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-scheme
c:/username/.emacs.d/elpa/org-20171113/ob-sass hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-sass
c:/username/.emacs.d/elpa/org-20171113/ob-ruby hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-ruby
c:/username/.emacs.d/elpa/org-20171113/ob-ref hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-ref
c:/username/.emacs.d/elpa/org-20171113/ob-R hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-R
c:/username/.emacs.d/elpa/org-20171113/ob-python hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-python
c:/username/.emacs.d/elpa/org-20171113/ob-plantuml hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-plantuml
c:/username/.emacs.d/elpa/org-20171113/ob-picolisp hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-picolisp
c:/username/.emacs.d/elpa/org-20171113/ob-perl hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-perl
c:/username/.emacs.d/elpa/org-20171113/ob-org hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-org
c:/username/.emacs.d/elpa/org-20171113/ob-octave hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-octave
c:/username/.emacs.d/elpa/org-20171113/ob-ocaml hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-ocaml
c:/username/.emacs.d/elpa/org-20171113/ob-mscgen hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-mscgen
c:/username/.emacs.d/elpa/org-20171113/ob-maxima hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-maxima
c:/username/.emacs.d/elpa/org-20171113/ob-matlab hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-matlab
c:/username/.emacs.d/elpa/org-20171113/ob-makefile hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-makefile
c:/username/.emacs.d/elpa/org-20171113/ob-lob hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-lob
c:/username/.emacs.d/elpa/org-20171113/ob-lisp hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-lisp
c:/username/.emacs.d/elpa/org-20171113/ob-lilypond hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-lilypond
c:/username/.emacs.d/elpa/org-20171113/ob-ledger hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-ledger
c:/username/.emacs.d/elpa/org-20171113/ob-latex hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-latex
c:/username/.emacs.d/elpa/org-20171113/ob-keys hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-keys
c:/username/.emacs.d/elpa/org-20171113/ob-js hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-js
c:/username/.emacs.d/elpa/org-20171113/ob-java hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-java
c:/username/.emacs.d/elpa/org-20171113/ob-io hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-io
c:/username/.emacs.d/elpa/org-20171113/ob-haskell hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-haskell
c:/username/.emacs.d/elpa/org-20171113/ob-gnuplot hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-gnuplot
c:/username/.emacs.d/elpa/org-20171113/ob-fortran hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-fortran
c:/username/.emacs.d/elpa/org-20171113/ob-exp hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-exp
c:/username/.emacs.d/elpa/org-20171113/ob-eval hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-eval
c:/username/.emacs.d/elpa/org-20171113/ob-emacs-lisp hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-emacs-lisp
c:/username/.emacs.d/elpa/org-20171113/ob-dot hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-dot
c:/username/.emacs.d/elpa/org-20171113/ob-ditaa hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-ditaa
c:/username/.emacs.d/elpa/org-20171113/ob-css hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-css
c:/username/.emacs.d/elpa/org-20171113/ob-core hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-core
c:/username/.emacs.d/elpa/org-20171113/ob-comint hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-comint
c:/username/.emacs.d/elpa/org-20171113/ob-clojure hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-clojure
c:/username/.emacs.d/elpa/org-20171113/ob-calc hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-calc
c:/username/.emacs.d/elpa/org-20171113/ob-C hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-C
c:/username/.emacs.d/elpa/org-20171113/ob-awk hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-awk
c:/username/.emacs.d/elpa/org-20171113/ob-asymptote hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/org/ob-asymptote
c:/username/.emacs.d/elpa/seq-2.20/seq hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/emacs-lisp/seq
c:/username/.emacs.d/elpa/let-alist-1.0.5/let-alist hides=20
c:/progs/emacs-25.3_1/share/emacs/25.3/lisp/emacs-lisp/let-alist

Features:
(shadow sort mail-extr emacsbug sendmail org-duration diary-lib
diary-loaddefs cal-iso wdired org-table org-rmail org-mhe org-irc
org-info org-gnus org-docview doc-view jka-compr image-mode org-bibtex
bibtex org-bbdb org-w3m org-agenda bug-reference magit-bookmark
magit-obsolete magit-blame magit-stash magit-bisect magit-remote
magit-commit epa magit-sequence magit-notes magit-worktree magit-branch
magit-collab ghub url-auth url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util url-parse
url-vars mailcap json map magit-files magit-refs magit-status subr-x
magit esh-var esh-io esh-cmd esh-opt esh-ext esh-proc esh-arg esh-groups
eshell esh-module esh-mode esh-util dired-x magit-repos magit-apply
magit-wip magit-log magit-diff smerge-mode magit-core magit-autorevert
autorevert filenotify magit-process auth-source eieio eieio-core
magit-margin magit-mode derived git-commit recentf tree-widget wid-edit
magit-git magit-section magit-utils vc-git diff-mode crm magit-popup
log-edit message rfc822 mml mml-sec password-cache epg gnus-util
mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
ietf-drums mm-util help-fns mail-prsvr mailabbrev mail-utils gmm-utils
mailheader pcvs-util add-log with-editor async-bytecomp async shell
server dash bookmark pp tomnor two-column iso-transl misearch
multi-isearch dired-aux ace-jump-mode cl dired paredit zerodark-theme
let-alist all-the-icons all-the-icons-faces data-material
data-weathericons data-octicons data-fileicons data-faicons
data-alltheicons memoize font-lock+ paren time view org-element cl-seq
avl-tree org org-macro org-footnote org-pcomplete pcomplete org-list
org-faces org-entities noutline outline org-version ob-emacs-lisp ob
ob-tangle org-src ob-ref ob-lob ob-table ob-keys ob-exp ob-comint
ob-core ob-eval org-compat org-macs org-loaddefs format-spec find-func
cal-menu calendar cal-loaddefs ido-vertical-mode ido hl-line anzu
broadcast-numbers tn-numbers ripgrep grep compile comint ansi-color ring
printing ps-print ps-def lpr finder-inf ace-jump-mode-autoloads info
package epg-config seq byte-opt bytecomp byte-compile cl-extra help-mode
easymenu cconv which-key multiple-cursors mc-hide-unmatched-lines-mode
mc-separate-operations rectangular-region-mode mc-mark-pop mc-mark-more
thingatpt mc-cycle-cursors mc-edit-lines multiple-cursors-core
easy-mmode edmacro kmacro cl-macs gv advice rect cl-loaddefs pcase
cl-lib ispell time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel dos-w32 ls-lisp disp-table
w32-win w32-vars term/common-win tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment elisp-mode lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote w32notify w32 multi-tty
make-network-process emacs)

Memory information:
((conses 16 642924 88058)
  (symbols 56 45325 0)
  (miscs 48 2514 2259)
  (strings 32 118635 14014)
  (string-bytes 1 3640789)
  (vectors 16 45986)
  (vector-slots 8 1560463 213784)
  (floats 8 981 712)
  (intervals 56 17370 1830)
  (buffers 976 99))





Acknowledgement sent to tomasn@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#30043; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.